TBH - unless someone out there "really" is affected by it I'm
considering "qemu-user-static on aarch64 on LXD on Xenial" too much of a
special case to bother the SRU team with it.

I could keep states as-is, but to reflect that I'd think we should set
it to Won't Fix unless someone speaks up about this being more important
for Ubuntu than I think atm.

** Changed in: qemu (Ubuntu Xenial)
       Status: Confirmed => Won't Fix

-- 
You received this bug notification because you are a member of नेपाली
भाषा समायोजकहरुको समूह, which is subscribed to Xenial.
Matching subscriptions: Ubuntu 16.04 Bugs
https://bugs.launchpad.net/bugs/1840956

Title:
  qemu-user-static fails to install in WSL and LXD

Status in qemu package in Ubuntu:
  Fix Released
Status in qemu source package in Xenial:
  Won't Fix
Status in qemu source package in Bionic:
  Won't Fix
Status in qemu source package in Disco:
  Fix Released

Bug description:
  [Impact]

   * The check in qemu postinst to nnot by accident run in a container 
     doesn't work in WSL. Due to that it tries to register bin_fmt types 
     which can't work in that environment.

   * Fix the check, so that it recognizes WSL (and probably a few other 
     containsers)

  [Test Case]

   * Install qemu-user-static in WSL(1) Ubuntu guest

  [Regression Potential]

   * The old check just detected LXD/LXC and any other container that put 
     the container into  /proc/1/environ. So we could now (on install) skip 
     bin_fmt registration on some containers where we did it before.
     Overall that is just what we wanted, but there could be containers set 
     up very privileged (uncommon) that would be able to do that before.
     Those would regress in a sense that it is not done on install.
     But the change would not prevent that in those (expected to be rare 
     cases) the user/admin registers the type later.

  [Other Info]
   
   * n/a

  ---

  Happened running do-release-upgrade from 18.04 to 18.10 on Windows
  Subsystem for Linux, Windows 10 1903. qemu-user-static can no longer
  be installed or run.

  ProblemType: Package
  DistroRelease: Ubuntu 19.04
  Package: qemu-user-static 1:3.1+dfsg-2ubuntu3.3
  ProcVersionSignature: Microsoft 4.4.0-18362.1-Microsoft 4.4.35
  Uname: Linux 4.4.0-18362-Microsoft x86_64
  ApportVersion: 2.20.10-0ubuntu27.1
  Architecture: amd64
  Date: Wed Aug 21 11:43:54 2019
  Dmesg: [    0.029344]  Microsoft 4.4.0-18362.1-Microsoft 4.4.35
  ErrorMessage: installed qemu-user-static package post-installation script 
subprocess returned error exit status 2
  Python3Details: /usr/bin/python3.7, Python 3.7.3, python3-minimal, 3.7.3-1
  PythonDetails: N/A
  RelatedPackageVersions:
   dpkg 1.19.6ubuntu1.1
   apt  1.8.1
  SourcePackage: qemu
  Title: package qemu-user-static 1:3.1+dfsg-2ubuntu3.3 failed to 
install/upgrade: installed qemu-user-static package post-installation script 
subprocess returned error exit status 2
  UpgradeStatus: Upgraded to disco on 2019-08-21 (0 days ago)
  mtime.conffile..etc.apport.crashdb.conf: 2019-08-09T13:43:51.502822

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/qemu/+bug/1840956/+subscriptions

_______________________________________________
Mailing list: https://launchpad.net/~group.of.nepali.translators
Post to     : group.of.nepali.translators@lists.launchpad.net
Unsubscribe : https://launchpad.net/~group.of.nepali.translators
More help   : https://help.launchpad.net/ListHelp

Reply via email to